<!DOCTYPE HTML>

<html lang="en" xmlns:th="http://www.thymeleaf.org" xmlns:sec="http://www.thymeleaf.org/thymeleaf-extras-springsecurity5">

<head>
<title>Achievents</title>

<!-- Required meta tags -->
<meta charset="utf-8">
<meta name="viewport"
	content="width=device-width, initial-scale=1, shrink-to-fit=no">

<!-- Bootstrap CSS -->
<link rel="stylesheet"
	href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css"
	integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh"
	crossorigin="anonymous">
</head>

<body>
	<nav class="navbar navbar-expand-md navbar-dark fixed-top bg-dark">
		<a class="navbar-brand" href="/">Home</a>
		<button class="navbar-toggler" type="button" data-toggle="collapse"
			data-target="#navbarsExampleDefault"
			aria-controls="navbarsExampleDefault" aria-expanded="false"
			aria-label="Toggle navigation">
			<span class="navbar-toggler-icon"></span>
		</button>

		<div class="collapse navbar-collapse" id="navbarsExampleDefault">
			<ul class="navbar-nav mr-auto">
				<li class="nav-item active">
			      	<a sec:authorize="!hasRole('ROLE_STUDENTE')" class="nav-link" href="/eventi/full-list">Tutti gli eventi</a>
				  </li>
				  <li class="nav-item active">
			      	<a sec:authorize="hasRole('ROLE_STUDENTE')" class="nav-link" th:href="@{/eventi/partecipazioni(username=${#authentication.name})}">I miei eventi</a>
				  </li>
			</ul>
			<form class="form-inline my-2 my-lg-0">
				<input class="form-control mr-sm-2" type="text" placeholder="Search"
					aria-label="Search">
				<button class="btn btn-outline-success my-2 my-sm-0" type="submit">Search</button>
			</form>
		</div>
	</nav>

	<div class="container">
		<br><br><br><br>
		
		<h2>Eventi</h2>
		<hr><br><br>

		<table class="table table-bordered table-striped">
			<thead class="thead-dark">
				<tr>
					<th>Titolo</th>
					<th>Descrizione</th>
					<th>Settore</th>
					<th>Luogo</th>
					<th>Data</th>
					<th sec:authorize="hasRole('ROLE_AZIENDA')">Universita</th>
					<th>Action</th>
				</tr>
			</thead>

			<tbody>
				<tr th:each="temp : ${eventi}">
					<td th:text="${temp.titolo}" />
					<td th:text="${temp.desc}" />
					<td th:text="${temp.settore}" />
					<td th:text="${temp.luogo}" />
					<td th:text="${temp.data}" />
					<td sec:authorize="hasRole('ROLE_AZIENDA')" th:text="${temp.uniEv.nome}" />
					<td>
						<a th:href="@{/eventi/info(idEvento=${temp.id}, username=${#authentication.name})}"
						class="btn btn-info btn-sm"><span class="mr-2 ml-2" >Info</span></a>
						<a sec:authorize="hasRole('ROLE_UNIVERSITA')" th:href="@{/eventi/showFormForUpdate(idEvento=${temp.id})}"
						class="btn btn-primary btn-sm">Modifica</a>
						<a sec:authorize="hasRole('ROLE_UNIVERSITA')" th:href="@{/eventi/delete(idEvento=${temp.id})}"
						class="btn btn-danger btn-sm">Elimina</a>	
					</td>
				</tr>
			</tbody>
		</table>
		<br>
		<div class="d-flex justify-content-center media pt-3">
		<a sec:authorize="hasRole('ROLE_UNIVERSITA')" th:href="@{/eventi/showFormForAdd}"
			class="btn btn-success btn-sm mb-3">Crea un nuovo evento</a>
		</div>
	</div>
</body>
</html>